package com.ynfy.buss.course.course.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ynfy.buss.course.course.entity.Course;
import com.ynfy.buss.course.course.mapper.CourseMapper;
import com.ynfy.buss.course.course.service.ICourseService;
import com.ynfy.buss.course.coursecatalog.service.ICourseCatalogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Description: course
 * @Author: jeecg-boot
 * @Date: 2023-10-24
 * @Version: V1.0
 */
@Service
public class CourseServiceImpl extends ServiceImpl<CourseMapper, Course> implements ICourseService {

    @Autowired
    private ICourseCatalogService courseCatalogService;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void saveCourse(Course course) {
        saveOrUpdate(course);
        // 保存题目答案选项
        courseCatalogService.saveAll(course.getId(), course.getCatalogList());
    }
}
